package com.chenyang.nse.bussiness.service.core;

import com.chenyang.nse.bussiness.dao.PageInfo;
import com.chenyang.nse.bussiness.entity.orm.table.core.differentdb.DesensitizationTargerTypeConversion;
import com.chenyang.nse.bussiness.entity.vo.DataGridVO;

public interface JavaConversionService {
   DataGridVO<DesensitizationTargerTypeConversion> getdataconversioninfo(String dbtype, PageInfo pageinfo);

   void saveinfo(DesensitizationTargerTypeConversion dbttypeConversion);

   void updateinfo(DesensitizationTargerTypeConversion dbttypeConversion);

   DesensitizationTargerTypeConversion queryDateById(String id);

   void deldatainfo(String id);

   String queryFiledTypeCount(String dbtype, String filedType);
}
